function tt = IDplot(extra_message,longorshort)
% IDplot puts the name of the calling function and the date on the right side of a figure
% there must be a current axis, and it must be called from an m-file
% 
% if called with an input string, that string will be appended to the message,
% eg IDplot('data from tf_120104_1.mat')
%
% if called with an output argument, it returns the handle to the text object it created
% 
% the tex interpreter is turned off, so that the _ characters don't result in subscripts
% BTL, Dec 12, 2004
%
% Udated by Brett Shapiro
% The variable longname appeared to be redundant with shortname. Longname
% was redefined to include the full path. Added a choice to display just
% file name or file name with the full path. Increased font size from 7 to 
% 9.
% 27 October 2012

ax = axis;

% figure out the name of the function which called this one
[st,ii] = dbstack; assignin('base','st',st),assignin('base','ii',ii)
if length(st)<2
    shortname = 'workspace';
else
%%% Commented outby Brett Shapiro %%%
%     longname = st(2).name;
%     index1=find(longname == '/', 1, 'last' );   % the last / in the name
% 	if isempty(index1)
% 		shortname = longname;   % now compatible with v7 (doesn't return full path)
% 	else
% 		shortname = longname(index1+1:end);
% 	end
%%% Commented outby Brett Shapiro %%%
    shortname = st(2).name;
    longname = [pwd,'/',st(2).file];
end

if nargin == 0
    bonus = [];
else
    bonus = [' ',extra_message];
end

%%% Added by Brett Shapiro to give choice of long or short name %%%
if nargin == 2 && strcmp(shortname,'workspace') == 0
    if strcmp(longorshort,'short')
        name = shortname;
    elseif strcmp(longorshort,'long')
        name = longname;
    else
        name = shortname;
    end
else
    name = shortname;
end
% Warning to display if second input is not recognized
if nargin == 2 && strcmp(longorshort,'long') == 0 && strcmp(longorshort,'short') == 0
    warning('Second input must be the string ''short'' or ''long''. Defaulting to ''short''.') %#ok<WNTAG>
end
%%% Added by Brett Shapiro to give choice of long or short name %%%

% thing=text(ax(2),ax(3),['created by ',shortname,' on ',date,bonus],'VerticalAlignment','top','Rotation',90,'FontSize',7,'Interpreter','none'); % commented out by Brett Shapiro
thing=text(ax(2),ax(3),['created by ',name,' on ',date,bonus],'VerticalAlignment','top','Rotation',90,'FontSize',9,'Interpreter','none'); % Added by Brett Shapiro

if nargout == 1
    tt = thing;
end