function filter = generate_one_dof_vel_filter3(freq1,ph)
% Modification to Laurant Ruet's function generate_one_dof_filter for modal
% damping feedback loop design. This function is intended to be called by
% generate_modal_damp, rather than generate_modal_control. The complex pair
% of poles is moved from 2 to 2.5 times the modal frequency. The notch 
% filter is removed and moved up to the function generate_modal_damp. All
% that remains is the AC couple zero, and the complex pair of at poles 2.5
% times the modal frequency and 10 degrees of the imaginary axis in the
% complex plain.
%
% Brett Shapiro
% 19 January 2012

pair1 = 2.5*(2*pi*freq1)*exp([1i -1i]*pi*ph/180); % complex low pass poles at 2.5 times the modal frequency
filter=zpk([],-pair1,1); % low pass filter with AC coupled zero
